module.exports = {
  extends: [require.resolve('@umijs/fabric/dist/stylelint')],
  customSyntax: 'postcss-less',
  rules: {
    indentation: 2,
    'block-no-empty': null,
    'color-no-invalid-hex': true,
    'declaration-colon-space-after': 'always',
    'max-empty-lines': 2,
    'rule-empty-line-before': null,
    'unit-no-unknown': null,
    'selector-max-compound-selectors': 5,
    'at-rule-no-unknown': null,
    'selector-pseudo-class-no-unknown': [true, { ignorePseudoClasses: ['global'] }]
  }
}
